وبلاگ شخصی علی مقدس زاده

۴ مطلب با موضوع «لینوکس :: ترمینال :: نصب نرم افزار» ثبت شده است

گاهی پیش میاد که نرم افزار خاصی فقط بصورت rpm منتشر میشه، این طور مواقع برای استفاده از این نرم افزارها بر روی توزیع‌هایی که از بسته‌های با فرمت deb استفاده می‌کنن میشه از نرم افزار alien استفاده کرد. وظیفه این نرم افزار تبدیل بسته‌های rpm به deb هست، البته باید به این نکته هم توجه داشته باشید که تبدیل بسته‌های rpm به deb به این معنی نیست که همه بسته‌های rpm رو میشه رو توزیع‌های مبتنی بر دبیان نصب کرد.

نصب نرم افزار alien با استفاده از دستور زیر انجام میشه:

sudo apt-get install alien dpkg-dev debhelper build-essential

تبدیل بسته rpm به deb با استفاده از نرم افزار alien:

sudo alien packagename.rpm

برای نصب بسته deb ایجاد شده هم از دستور زیر استفاده میشه:

sudo dpkg -i packagename.deb


منبع: http://www.howtogeek.com/howto/ubuntu/install-an-rpm-package-on-ubuntu-linux

  • علی مقدس زاده

همونطور که اطلاع دارین، در توزیع‌های مبتنی بر دبیان، زمانیکه ما از ابزار apt-get برای نصب نرم افزار استفاده می‌کنیم، ابتدا بسته‌های مورد نیاز دانلود و سپس عملیات نصب آغاز میشه. معمولا مقدار زیادی از زمان نصب نرم افزار صرف دانلود بسته‌های مورد نیاز میشه و اگر ما بتونیم این زمان رو کاهش بدیم سرعت نصب نرم افزار افزایش پیدا میکنه.

apt-fast یک اسکریپت هست که بر روی apt-get پیاده شده و امکان دانلود بسته‌ها بصورت موازی و با تعداد connection های زیاد رو فراهم میکنه و به این ترتیب سرعت دانلود بسته‌ها رو افزایش میده.

برای نصب این اسکریپت در توزیع‌های اوبونتو 14.04 و بعد از اون سه مرحله زیر رو باید انجام داد:

sudo add-apt-repository ppa:saiarcot895/myppa
sudo apt-get update
sudo apt-get install apt-fast

بعد از نصب، تمام کارهایی که با apt-get انجام میدادید رو میتونید با apt-fast انجام بدین:

apt-fast update
apt-fast install ...
apt-fast upgrade
...

برای توضیحات بیشتر میتونید به لینک زیر مراجعه کنید:

https://github.com/ilikenwf/apt-fast

  • علی مقدس زاده

در این پست قصد معرفی پایگاه داده PostgreSQL و یا مقایسه آن با سایر پایگاه داده‌ها را نداریم، بلکه فقط نحوه راه اندازی این سرویس در سیستم عامل اوبونتو به صورت مرحله به مرحله آورده می‌شود.

  • علی مقدس زاده

گاهی اوقات لازم داریم که از بین نرم افزارهایی که قابل upgrade شدن هستن، فقط اونایی که مد نظر داریم رو به روز کنیم. یک روش این هست که از طریق نرم افزار Software Updater نرم افزارهایی که لازم داریم رو انتخاب کنیم و اون‌ها رو به روز کنیم ولی اگر تصمیم داریم این کار رو از طریق خط فرمان انجام بدیم میتونیم از دستور زیر استفاده کنیم:

apt-get install --only-upgrade <packagename>

دستور بالا فقط در صورتیکه پکیج مورد نظر روی سیستم نصب شده باشه اون رو به روز میکنه. حالا اگر شما دوست دارید که این دستور در صورت نصب نبودن پکیج خودش اون رو نصب کنه و اگر نصب شده اون رو به روز کنه میتونید عبارت only-upgrade-- رو از دستور حذف کنید.

  • علی مقدس زاده